Package com.independentsoft.office.spreadsheet.extensions

# Class ExtensionList

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.ExtensionList

public class ExtensionList extends Object
Represents a future-feature extension list (`extLst` element) of a workbook, worksheet, stylesheet or cell. Known extensions are parsed into typed models; unknown extensions are preserved as raw XML.

This is the SpreadsheetML extension model. It is separate from `ExtensionList`, which models the DrawingML `a:extLst` / `c:extLst` lists.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtensionList()`
  Instantiates a new extension list.
  `ExtensionList​(InternalXMLStreamReader reader, ExtensionContentFactory factory)`
  Instantiates a new extension list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExtensionList`
  `clone()`
  `int`
  `getCount()`
  Gets the number of extensions.
  `List<Extension>`
  `getExtensions()`
  Gets the extensions.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExtensionList

    public ExtensionList()
    Instantiates a new extension list.

  - ### ExtensionList

    public ExtensionList​(InternalXMLStreamReader reader, ExtensionContentFactory factory) throws XMLStreamException
    Instantiates a new extension list.

    Enters positioned ON the `extLst` start element and leaves positioned ON its end element, so the caller's loop advances past it.

    Parameters:
      `reader` - the reader
      `factory` - the content factory mapping extension child elements to typed models, or null to preserve every extension as raw XML
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public ExtensionList clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensions

    public List<Extension> getExtensions()
    Gets the extensions.
    Returns:
      the extensions

  - ### getCount

    public int getCount()
    Gets the number of extensions.
    Returns:
      the count